---
title: Eine Mod veröffentlichen
layout: default
root: ../..
idx: 8.6
redirect_from: /de/chapters/releasing.html
---

## Einleitung <!-- omit in toc -->

Das Veröffentlichen einer Mod erlaubt es anderen Leuten, sie zu nutzen. Sobald eine Mod
veröffentlicht ist, kann sie in Einzelspieler-Spielen oder auf Servern, einschließlich öffentlichen Servern, verwendet werden.

- [Eine Lizenz auswählen](#eine-lizenz-auswählen)
	- [LGPL und CC-BY-SA](#lgpl-und-cc-by-sa)
	- [CC0](#cc0)
	- [MIT](#mit)
- [Verpacken](#verpacken)
	- [README.txt](#readmetxt)
	- [mod.conf / game.conf](#modconf--gameconf)
	- [screenshot.png](#screenshotpng)
- [Hochladen](#hochladen)
	- [Version Control Systeme](#version-control-systeme)
- [Veröffentlichen auf ContentDB](#veröffentlichen-auf-contentdb)
- [Forum Thema](#forum-thema)

## Eine Lizenz auswählen

Sie müssen eine Lizenz für Ihren Mod angeben. Das ist wichtig, weil sie anderen Leuten
mitteilt, auf welche Weise sie Ihre Arbeit verwenden dürfen. Wenn Ihre Mod keine Lizenz hat
hat, wissen andere nicht, ob sie Ihre Mod auf einem öffentlichen Server verändern,
verbreiten oder verwenden dürfen.

Ihr Code und Ihre Kunst brauchen unterschiedliche Lizenzen, die sie verwenden. Zum Beispiel sollten Creative-Commons-Lizenzen nicht für Quellcode verwendet werden,
können aber für künstlerische Werke wie Bilder, Texte und Meshes eine gute Wahl sein.

Sie dürfen jede Lizenz verwenden; Mods, die Derivate nicht zulassen, werden jedoch aus dem
offiziellen Minetest-Forum verboten. (Damit eine Mod im Forum zugelassen wird, müssen andere Entwickler
in der Lage sein, sie zu modifizieren und die modifizierte Version zu veröffentlichen.)

Bitte beachten Sie, dass **public domain** keine gültige Lizenz ist, da die Definition in verschiedenen
Ländern variiert.

Es ist wichtig zu beachten, dass WTFPL
[dringend abgeraten wird 🇬🇧](https://content.minetest.net/help/wtfpl/) und Leute möglicherweise
Ihre Mod nicht verwenden, wenn sie diese Lizenz hat.

### LGPL und CC-BY-SA

Dies ist eine gängige Lizenzkombination in der Minetest-Gemeinschaft und wird von
Minetest und Minetest Game verwendet.

Sie lizenzieren Ihren Code unter LGPL 2.1 und Ihre Kunst unter CC-BY-SA.

Dies bedeutet, dass:

* Jeder kann veränderte oder unveränderte Versionen verändern, weitergeben und verkaufen.
* Wenn jemand Ihre Modifikation verändert, muss er seiner Version die gleiche Lizenz geben.
* Ihr Urheberrechtsvermerk muss beibehalten werden.

### CC0

Diese Lizenz kann sowohl für Code als auch für Kunst verwendet werden und erlaubt es jedem, das
mit Ihrem Werk zu machen, was er will. Das heißt, er kann es verändern, weitergeben, verkaufen oder
die Namensnennung weglassen.

### MIT

Dies ist eine gängige Lizenz für Code. Die einzige Einschränkung, die die Nutzer
Ihres Codes haben, dass sie denselben Copyright-Vermerk und dieselbe Lizenz
in alle Kopien des Codes oder wesentlicher Teile des Codes aufnehmen müssen.

## Verpacken

Es gibt einige Dateien, die Sie in Ihre Mod oder Ihr Spiel aufnehmen sollten
bevor Sie es veröffentlichen.

### README.txt

In der README-Datei sollte stehen:

* Was der Mod/das Spiel macht und wie man es benutzt.
* Was die Lizenz ist
* Optional:
  * Wo man Probleme melden oder Hilfe bekommen kann.
  * Namensnennungen

### mod.conf / game.conf

Vergewissern Sie sich, dass Sie einen Beschreibungsschlüssel hinzufügen, um zu erklären,
was Ihr Mod oder Spiel tut. Seien Sie prägnant, ohne vage zu sein. Sie sollte kurz sein,
denn sie wird im Content-Installer angezeigt, der nur begrenzten Platz hat.

Gutes Beispiel:

    description = Fügt Suppe, Kuchen, Gebäck und Säfte hinzu.

Vermeiden Sie dies:

    description = Die Lebensmittel-Mod für Minetest. (<-- SCHLECHT! Es ist vage)

### screenshot.png

Screenshots sollten im Verhältnis 3:2 (3 Pixel Breite für 2 Pixel Höhe)
und eine Mindestgröße von 300 x 200 Pixel haben.

Der Screenshot wird innerhalb von Minetest als Vorschaubild für den Inhalt angezeigt.

## Hochladen

Damit ein potenzieller Benutzer Ihre Mod herunterladen kann, müssen Sie sie irgendwo hochladen und
öffentlich zugänglich machen. Es gibt mehrere Möglichkeiten, dies zu tun, aber Sie sollten die Möglichkeit wählen, die für Sie am besten geeignet ist, solange diese die folgenden Anforderungen erfüllt und auch alle anderen, die von den Moderatoren des Forums hinzugefügt werden können:

* **Stabil**        - Es sollte unwahrscheinlich sein, dass die Hosting-Webseite ohne Vorwarnung abgeschaltet wird.
* **Direkter Link** - Sie sollten in der Lage sein, auf einen Link zu klicken und die Datei herunterzuladen, ohne eine andere Seite aufrufen zu müssen.
* **Virenfrei**     - Betrügerische Upload-Hosts können unsichere Werbung enthalten.

ContentDB ermöglicht das Hochladen von Zip-Dateien und erfüllt diese Kriterien.

### Version Control Systeme

Ein Versionskontrollsystem (VCS) ist eine Software, die Änderungen an Software verwaltet,
Dadurch wird es oft einfacher, Änderungen zu verteilen und zu erhalten.

Die meisten Minetest-Modder verwenden Git und eine Webseite wie [Mesehub 🇬🇧](https://git.minetest.land/),
um ihren Code zu veröffentlichen.

Die Verwendung von git kann anfangs schwierig sein. Wenn Sie dabei Hilfe benötigen, lesen Sie bitte:

* [Pro Git Buch](https://git-scm.com/book/de/v2/Erste-Schritte-Was-ist-Versionsverwaltung%3F) - Kostenlos online lesbar.

## Veröffentlichen auf ContentDB

ContentDB ist der offizielle Ort, um Inhalte wie Mods, Spiele und Texturpakete zu finden und zu verbreiten.
Benutzer können Inhalte über die Webseite finden oder über die Integration in das Minetest-Hauptmenü
herunterladen und installieren, indem sie die Integration des Hauptmenü von Minetest nutzen.

Melden Sie sich bei [ContentDB](https://content.minetest.net) an und fügen Sie Ihre Inhalte hinzu.
Lesen Sie unbedingt die Hinweise im Abschnitt "Hilfe".

## Forum Thema

Sie können auch ein Forumthema erstellen, damit die Benutzer über Ihre Kreation diskutieren können.

Mod-Themen sollten im ["WIP Mods" 🇬🇧](https://forum.minetest.net/viewforum.php?f=9) (Work In Progress(deutsch: In Arbeit))
Forum erstellt werden, und Spiele-Themen im ["WIP Games"🇬🇧](https://forum.minetest.net/viewforum.php?f=50) Forum.
Wenn Sie Ihren Mod nicht mehr als "Work In Progress" betrachten, können Sie
[beantragen, dass sie in "Mod-Veröffentlichungen" verschoben wird 🇬🇧](https://forum.minetest.net/viewtopic.php?f=11&t=10418).

Das Forumsthema sollte einen ähnlichen Inhalt wie das README haben, aber
mehr Werbung machen und auch einen Link zum Download der Mod enthalten.
Es ist eine gute Idee, wenn möglich, Screenshots von Ihrer Mod in Aktion zu zeigen.

Das Thema muss in einem dieser Formate angegeben werden:

* [Mod] Mod Titel [Modname]
* [Mod] Mod Titel [Versionsnummer] [Modname]

Zum Beispiel:

* [Mod] More Blox [0.1] [moreblox]
